Otomatik Dolum
Bant Genişliği Kurallarını Listele
Hesabınızdaki tüm bant genişliği Otomatik Dolum kuralları
GET
/
api
/
v1
/
bandwidth
/
auto-refill
Bant Genişliği Kurallarını Listele
curl --request GET \
--url https://api.example.com/api/v1/bandwidth/auto-refillimport requests
url = "https://api.example.com/api/v1/bandwidth/auto-refill"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/bandwidth/auto-refill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/bandwidth/auto-refill",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/bandwidth/auto-refill"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/bandwidth/auto-refill")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/bandwidth/auto-refill")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"rules": [
{
"id": 123,
"target_address": "<string>",
"label": {},
"threshold_bandwidth": 123,
"add_volume": 123,
"duration": "<string>",
"status": "<string>",
"stopped_reason": {},
"consecutive_failures": 123,
"last_checked_at": {},
"last_available_bandwidth": {},
"last_read_error_at": {},
"last_refill_at": {},
"refill_count": 123,
"total_spent_trx": "<string>",
"created_at": "<string>",
"estimated_cost_per_refill_trx": {},
"volume_below_threshold": true
}
]
}Bant Genişliği Kurallarını Listele
Hesabınızdaki tüm bant genişliği Otomatik Dolum kurallarını en eskiden başlayarak döndürür. Silinmiş kurallar dahil edilmez.view kapsamını gerektirir.
Yanıt
array
Bant genişliği kurallarınız.
Göster kural nesnesi
Göster kural nesnesi
number
Kural kimliği — düzenleme ve silme yollarında bunu kullanın
string
Kuralın kaynağını sürekli sağladığı adres
string | null
Kurala verdiğiniz ad
number
Kullanılabilir bant genişliği bu değerin altına düştüğünde kural satın alır
number
Dolum başına satın alınan bant genişliği
string
Her dolumun kiralama süresi —
1h veya 1dstring
active, paused veya stopped_insufficient_balance — bkz. Kural durumustring | null
Kuralın neden duraklatıldığı veya durdurulduğu:
insufficient_balance, order_failed, activation_failed veya invalid_params. Neden yoksa null.number
Art arda başarısız dolum sayısı. Bu değer 5’e ulaştığında kural duraklatılır; başarılı bir dolum onu 0’a sıfırlar.
string | null
Adresi en son ne zaman kontrol ettiğimiz (ISO 8601, UTC); okumanın başarılı olup olmadığından bağımsız. İlk kontrolden önce
null.number | null
Son başarılı kontrolde adreste kullanılabilir olan bant genişliği, ücretsiz bant genişliği dahil. İlk başarılı okumadan önce
null.string | null
Bir kontrolün adresi en son ne zaman okuyamadığı (ISO 8601, UTC). Son kontrol başarılıysa
null. Bu alan doluyken last_available_bandwidth daha önceki bir kontrolden gelir ve güncel olmayabilir. Adresi okuyamayan bir kontrol hiçbir şey satın almaz.string | null
Son dolumun yapıldığı zaman. Hiç dolum yapılmadıysa
null.number
Kural oluşturulduğundan beri yapılan başarılı dolum sayısı
string
Bu dolumlara harcanan toplam TRX
string
Kuralın oluşturulduğu zaman (ISO 8601, UTC)
string | null
Güncel fiyatlarla hesabınız için bir dolumun sabit ücret dahil tam fiyatı. Gerektiğinde adres aktivasyonu ayrıca ücretlendirilir. Fiyat geçici olarak alınamıyorsa
null.boolean
add_volume, threshold_bandwidth değerinden küçük olduğunda true. Bu durumda tek bir dolum adresi eşiğin üzerine çıkarmayabilir ve kural her harcamadan sonra yeniden satın alır — bkz. genel bakıştaki uyarı.Örnek
curl https://api.tronrental.com/v1/bandwidth/auto-refill \
-H "X-API-Key: your_api_key"
import requests
resp = requests.get(
"https://api.tronrental.com/v1/bandwidth/auto-refill",
headers={"X-API-Key": "your_api_key"},
)
print(resp.json())
const resp = await fetch("https://api.tronrental.com/v1/bandwidth/auto-refill", {
headers: { "X-API-Key": "your_api_key" },
});
console.log(await resp.json());
Response
{
"rules": [
{
"id": 15,
"target_address": "TYourRecipientAddress1234567890abc",
"label": "Payouts",
"threshold_bandwidth": 1000,
"add_volume": 5000,
"duration": "1h",
"status": "active",
"stopped_reason": null,
"consecutive_failures": 0,
"last_checked_at": "2026-10-14T09:41:02Z",
"last_available_bandwidth": 3655,
"last_read_error_at": null,
"last_refill_at": "2026-10-14T09:12:30Z",
"refill_count": 4,
"total_spent_trx": "1.480000",
"created_at": "2026-10-14T08:15:00Z",
"estimated_cost_per_refill_trx": "0.370000",
"volume_below_threshold": false
}
]
}
Hatalar
| Durum | Kod | Ne zaman |
|---|---|---|
403 | FORBIDDEN | API anahtarında view kapsamı yok |
⌘I
Bant Genişliği Kurallarını Listele
curl --request GET \
--url https://api.example.com/api/v1/bandwidth/auto-refillimport requests
url = "https://api.example.com/api/v1/bandwidth/auto-refill"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/bandwidth/auto-refill', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/bandwidth/auto-refill",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/bandwidth/auto-refill"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/bandwidth/auto-refill")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/bandwidth/auto-refill")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"rules": [
{
"id": 123,
"target_address": "<string>",
"label": {},
"threshold_bandwidth": 123,
"add_volume": 123,
"duration": "<string>",
"status": "<string>",
"stopped_reason": {},
"consecutive_failures": 123,
"last_checked_at": {},
"last_available_bandwidth": {},
"last_read_error_at": {},
"last_refill_at": {},
"refill_count": 123,
"total_spent_trx": "<string>",
"created_at": "<string>",
"estimated_cost_per_refill_trx": {},
"volume_below_threshold": true
}
]
}